Name: libmilvus
Version: 2.0.0
Release: 1%{?dist}
Summary: C++ client for milvus 2.0
Requires: openssl

BuildRequires: openssl-devel
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: which
BuildRequires: git
BuildRequires: wget
BuildRequires: gpg

%if "%{dist}" == ".el7"
BuildRequires: cmake3
%else
BuildRequires: cmake
%endif

License: Apache
URL: https://github.com/milvus-io/milvus-sdk-cpp
VCS: git+https://github.com/matrixji/milvus-sdk-cpp.git#9c56def0ac119e35f2160a43668df817ffa52d73:
Source: milvus-sdk-cpp-9c56def0.tar.gz

%description
C++ client for milvus 2.0

%prep
%setup -T -b 0 -q -n milvus-sdk-cpp

%build
mkdir -p build
cd build
cat `which rpkg`
cmake_command=cmake
if [ -x /usr/bin/cmake3 ] ; then
  cmake_command=cmake3
fi
${cmake_command} -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCMAKE_INSTALL_PREFIX=%{buildroot}%{_prefix} ..
make -j $(nproc)

%install
cd build
make install

%files
%{_libdir}/libmilvus_sdk.so

%package devel
Summary: C++ client headers for milvus 2.0
Requires: libmilvus

%description devel
C++ client headers for milvus 2.0

%files devel
%{_includedir}/milvus

%changelog
